Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.directwebremoting.extend
Class OutboundContext

    java.lang.Object
      org.directwebremoting.extend.OutboundContext

    public final class OutboundContext

extends java.lang.Object

We need to keep track of stuff while we are converting on the way out to prevent recurrsion. This class helps track the conversion process.

Author:
  Joe Walker [joe at getahead dot ltd dot uk]

Constructor Summary
`OutboundContext()` JDK14: Can use IdentityHashMap directly Since map needs to have referencial equality rather than object equality this constructor tries to use java.util.IdentityHashMap (>=1.4), and failing that falls back on wrapper objects in a HashMap.

Method Summary
`OutboundVariable` | `get(java.lang.Object object)` Have we already converted an object?
`java.lang.String` | `getNextVariableName()` Create a new variable name to keep everything we declare separate
`void` | `put(java.lang.Object object, OutboundVariable ss)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OutboundContext

    public OutboundContext()

  JDK14: Can use IdentityHashMap directly Since map needs to have referencial equality rather than object equality this constructor tries to use java.util.IdentityHashMap (>=1.4), and failing that falls back on wrapper objects in a HashMap.

Method Detail

### get

    public OutboundVariable get(java.lang.Object object)

  Have we already converted an object?

  Parameters:
    `object` - The object to check
  Returns:
    How it was converted last time or null if we've not seen it before

### put

    public void put(java.lang.Object object,
                    OutboundVariable ss)

  Parameters:
    `object` - We have converted a new object, remember it
    `ss` - How the object was converted

### getNextVariableName

    public java.lang.String getNextVariableName()

  Create a new variable name to keep everything we declare separate

  Returns:
    A new unique variable name

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD